%define anolis_release 1

Summary: Python wrapper module around the OpenSSL library
Name: pyOpenSSL
Version: 23.2.0
Release: %{anolis_release}%{?dist}
Source0: https://files.pythonhosted.org/packages/source/p/pyOpenSSL/pyOpenSSL-%{version}.tar.gz

BuildArch: noarch
License: ASL 2.0
URL: https://pyopenssl.readthedocs.org/

BuildRequires: make
BuildRequires: python3-setuptools
BuildRequires: python3-sphinx
BuildRequires: python3-sphinx_rtd_theme

BuildRequires: python3-devel
BuildRequires: python3-cryptography >= 3.2

%description
High-level wrapper around a subset of the OpenSSL library, includes among others
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes


%package -n python3-pyOpenSSL
Summary: Python 3 wrapper module around the OpenSSL library
Requires: python3-cryptography >= 2.8
Requires: python3-six >= 1.5.2
%{?python_provide:%python_provide python3-pyOpenSSL}
Obsoletes: pyOpenSSL < 19.0.0-5
Provides: pyOpenSSL = %{version}-%{release}

%description -n python3-pyOpenSSL
High-level wrapper around a subset of the OpenSSL library, includes among others
 * SSL.Connection objects, wrapping the methods of Python's portable
   sockets
 * Callbacks written in Python
 * Extensive error-handling mechanism, mirroring OpenSSL's error codes

%package doc
Summary: Documentation for pyOpenSSL
BuildArch: noarch

%description doc
Documentation for pyOpenSSL

%prep
%autosetup -p1 -n pyOpenSSL-%{version}

%build
%py3_build

%{__make} -C doc html SPHINXBUILD=sphinx-build-3

%install
%py3_install

# Cleanup sphinx .buildinfo file before packaging
rm doc/_build/html/.buildinfo

%files -n python3-pyOpenSSL
%license LICENSE
%{python3_sitelib}/OpenSSL/
%{python3_sitelib}/pyOpenSSL-*.egg-info

%files doc
%license LICENSE
%doc CHANGELOG.rst doc/_build/html

%changelog
* Thu Aug 10 2023 Christian Heimes <cheimes@redhat.com> - 23.2.0-1
- Update to 23.2.0, resolves rhbz#2181444

